use std::path::PathBuf;

switches::generate! {
    Args {
        source_folder: PathBuf ("-f", "--folder"),
        name: String ("-n", "--name"),
        delete: bool ("--delete"),
    }
}

pub fn main() {
    let args = Args::parse_and_raise();
    println!(" Folder: {:?}", args.source_folder);
    println!("   Name: {:?}", args.name);
    println!(" Delete: {:?}", args.delete);
}
